# class MimeSdpBody | MIME for application/sdp. More...
Full name | `TelEngine::MimeSdpBody`
Definition | `#include <yatemime.h>`
Inherits | TelEngine::MimeBody [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- MimeSdpBody (bool hashing = false)
- MimeSdpBody (const String& type, const char* buf, int len)
- MimeSdpBody (const MimeHeaderLine& type, const char* buf, int len)
- virtual ~MimeSdpBody ()
- virtual void* getObject (const String& name) const
- virtual bool isSDP () const
- virtual MimeBody* clone () const
- inline const ObjList& lines () const
- inline unsigned int hash () const
- NamedString* addLine (const char* name, const char* value = 0)
- const NamedString* getLine (const char* name) const
- const NamedString* getNextLine (const NamedString* line) const

#### Protected Methods

- MimeSdpBody (const MimeSdpBody& original)
- virtual void buildBody () const

## Detailed Description

An object holding the lines of an application/sdp MIME type

MimeSdpBody (bool hashing = false) | ### MimeSdpBody

Default constructor, builds an empty application/sdp

Parameters:

hashing | Enable hashing the content lines

MimeSdpBody (const String& type, const char* buf, int len) | ### MimeSdpBody

Constructor from block of data

Parameters:

type | The value of the Content-Type header line
buf | Pointer to buffer of data
len | Length of data in buffer

MimeSdpBody (const MimeHeaderLine& type, const char* buf, int len) | ### MimeSdpBody

Constructor from block of data

Parameters:

type | The content type header line
buf | Pointer to buffer of data
len | Length of data in buffer

~MimeSdpBody () | ### ~MimeSdpBody

[virtual]

Destructor

void* getObject (const String& name) | ### getObject

[const virtual]

RTTI method, get a pointer to a derived class given the class name

Parameters:

name | Name of the class we are asking for

Returns: Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from MimeBody.

bool isSDP () | ### isSDP

[const virtual]

Override that checks if this body is an Session Description Protocol

Returns: True, since this body holds a SDP

Reimplemented from MimeBody.

MimeBody* clone () | ### clone

[const virtual]

Duplicate this MIME body

Returns: Copy of this MIME body - a new MimeSdpBody

Reimplemented from MimeBody.

inline const ObjList& lines () | ### lines

[const]

Retrieve the lines hold in data

Returns: List of NamedStrings

inline unsigned int hash () | ### hash

[const]

Retrieve the hash of body lines

Returns: Hash of body, zero if hashing not enabled

NamedString* addLine (const char* name, const char* value = 0) | ### addLine

Append a new name=value line of SDP data

Parameters:

name | Name of the line, should be one character
value | Text of the line

Returns: Pointer to new added line

const NamedString* getLine (const char* name) | ### getLine

[const]

Retrieve the first line matching a name

Parameters:

name | Name of the line to search

Returns: First instance of the searched name or NULL if none present

const NamedString* getNextLine (const NamedString* line) | ### getNextLine

[const]

Retrieve the next line of the same type as the current

Parameters:

line | Current line

Returns: Next instance of same name or NULL if no more

MimeSdpBody (const MimeSdpBody& original) | ### MimeSdpBody

[protected]

Copy constructor

void buildBody () | ### buildBody

[protected const virtual]

Override that is called internally to build the binary encoded body

Reimplemented from MimeBody.

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.